-- test.ex by Rob Craig

include graphics.e
include pic_load.e
include image.e

sequence s
if graphics_mode(261) then  -- try mode 19 if this gives you trouble
    puts(1, "Try a different mode\n")
    abort(1)
end if

-- First try a .GIF file:
s = read_gif("title.gif") 
display_image({20,20}, s[2])
all_palette(s[1]/4) -- N.B. divide by 4 is required

while get_key() = -1 do
end while

-- Now try a .PCX file:
clear_screen()
s = read_pcx("sc.pcx") 
display_image({20,20}, s[2])
all_palette(s[1]/4)

while get_key() = -1 do
end while
if graphics_mode(-1) then
end if

